slepc-3.10.1 2018-10-23
Report Typos and Errors

# STPrecondGetMatForPC

Returns the matrix previously set by STPrecondSetMatForPC().

### Synopsis

    #include "slepcst.h"
    PetscErrorCode STPrecondGetMatForPC(ST st,Mat *mat)

Not Collective, but the Mat is shared by all processors that share the ST

### Input Parameter

| st | - the spectral transformation context

### Output Parameter

| mat | - the matrix that will be used in constructing the preconditioner or NULL if no matrix was set by STPrecondSetMatForPC().

### See Also

STPrecondSetMatForPC()

Location: src/sys/classes/st/impls/precond/precond.c
Index of all ST routines
Table of Contents for all manual pages
Index of all manual pages